reset_design 
### create_clock ### 
create_clock -name start	-period 9.0 -waveform {0 1} [get_ports {start}] 
create_clock -name lclk0	-period 9.0 -waveform {0 3} [get_pins {stage0|ctrl0|lclk*|combout }] 
create_clock -name lclk1	-period 9.0 -waveform {0 3} [get_pins {stage1|ctrl1|lclk*|combout }] 
create_clock -name lclk2	-period 9.0 -waveform {0 3} [get_pins {stage2|ctrl2|lclk*|combout }] 
create_clock -name lclk3	-period 9.0 -waveform {0 3} [get_pins {stage3|ctrl3|lclk*|combout }] 
create_clock -name lclk4	-period 9.0 -waveform {0 3} [get_pins {stage4|ctrl4|lclk*|combout }] 
### set_input_delay ### 
set_input_delay -clock start -max 0.0 [get_ports {i_x[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_x[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_y[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_y[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_u[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_u[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_dx[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_dx[*]}] 
### set_output_delay ### 
### control paths ### 
#--- ctrl0---# 
report_path -file TimingReport/start_lclk0_min.txt \
-from    [ get_ports { start } ] \
-rise_to      [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/start_lclk0_max.txt \
-from    [ get_ports { start } ] \
-rise_to      [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk0_nreq0_min.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|ctrl0|nreq* } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/lclk0_nreq0_max.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|ctrl0|nreq* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/nreq0_lclk0_min.txt \
-from    [ get_registers { stage0|ctrl0|nreq*} ] \
-rise_to      [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq0_lclk0_max.txt \
-from    [ get_registers { stage0|ctrl0|nreq* } ] \
-rise_to      [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/nreq0_nreq0_min.txt \
-from_clock { lclk0 } \
-to_clock { lclk0 } \
-from    [ get_registers { stage0|ctrl0|nreq* } ] \
-to      [ get_registers { stage0|ctrl0|nreq* } ] \
-hold  -show_routing -nworst 1 

report_timing -file TimingReport/nreq0_nreq0_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk0 } \
-from    [ get_registers { stage0|ctrl0|nreq* } ] \
-to      [ get_registers { stage0|ctrl0|nreq* } ] \
-show_routing -nworst 1 

#--- ctrl1---# 
report_path -file TimingReport/nreq0_lclk1_min.txt \
-from    [ get_registers { stage0|ctrl0|nreq*} ] \
-rise_to      [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq0_lclk1_max.txt \
-from    [ get_registers { stage0|ctrl0|nreq* } ] \
-rise_to      [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_nreq1_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|ctrl1|nreq* } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/lclk1_nreq1_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|ctrl1|nreq* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/nreq1_lclk1_min.txt \
-from    [ get_registers { stage1|ctrl1|nreq*} ] \
-rise_to      [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq1_lclk1_max.txt \
-from    [ get_registers { stage1|ctrl1|nreq* } ] \
-rise_to      [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/nreq1_nreq1_min.txt \
-from_clock { lclk1 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage1|ctrl1|nreq* } ] \
-to      [ get_registers { stage1|ctrl1|nreq* } ] \
-hold  -show_routing -nworst 1 

report_timing -file TimingReport/nreq1_nreq1_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage1|ctrl1|nreq* } ] \
-to      [ get_registers { stage1|ctrl1|nreq* } ] \
-show_routing -nworst 1 

#--- ctrl2---# 
report_path -file TimingReport/nreq1_lclk2_min.txt \
-from    [ get_registers { stage1|ctrl1|nreq*} ] \
-rise_to      [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq1_lclk2_max.txt \
-from    [ get_registers { stage1|ctrl1|nreq* } ] \
-rise_to      [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_nreq2_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|ctrl2|nreq* } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/lclk2_nreq2_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|ctrl2|nreq* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/nreq2_lclk2_min.txt \
-from    [ get_registers { stage2|ctrl2|nreq*} ] \
-rise_to      [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq2_lclk2_max.txt \
-from    [ get_registers { stage2|ctrl2|nreq* } ] \
-rise_to      [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/nreq2_nreq2_min.txt \
-from_clock { lclk2 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage2|ctrl2|nreq* } ] \
-to      [ get_registers { stage2|ctrl2|nreq* } ] \
-hold  -show_routing -nworst 1 

report_timing -file TimingReport/nreq2_nreq2_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage2|ctrl2|nreq* } ] \
-to      [ get_registers { stage2|ctrl2|nreq* } ] \
-show_routing -nworst 1 

#--- ctrl3---# 
report_path -file TimingReport/nreq2_lclk3_min.txt \
-from    [ get_registers { stage2|ctrl2|nreq*} ] \
-rise_to      [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq2_lclk3_max.txt \
-from    [ get_registers { stage2|ctrl2|nreq* } ] \
-rise_to      [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk3_nreq3_min.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|ctrl3|nreq* } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/lclk3_nreq3_max.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|ctrl3|nreq* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/nreq3_lclk3_min.txt \
-from    [ get_registers { stage3|ctrl3|nreq*} ] \
-rise_to      [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq3_lclk3_max.txt \
-from    [ get_registers { stage3|ctrl3|nreq* } ] \
-rise_to      [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/nreq3_nreq3_min.txt \
-from_clock { lclk3 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage3|ctrl3|nreq* } ] \
-to      [ get_registers { stage3|ctrl3|nreq* } ] \
-hold  -show_routing -nworst 1 

report_timing -file TimingReport/nreq3_nreq3_max.txt \
-from_clock { lclk3 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage3|ctrl3|nreq* } ] \
-to      [ get_registers { stage3|ctrl3|nreq* } ] \
-show_routing -nworst 1 

#--- ctrl4---# 
report_path -file TimingReport/nreq3_lclk4_min.txt \
-from    [ get_registers { stage3|ctrl3|nreq*} ] \
-rise_to      [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq3_lclk4_max.txt \
-from    [ get_registers { stage3|ctrl3|nreq* } ] \
-rise_to      [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk4_nreq4_min.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|ctrl4|nreq* } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/lclk4_nreq4_max.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|ctrl4|nreq* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/nreq4_lclk4_min.txt \
-from    [ get_registers { stage4|ctrl4|nreq*} ] \
-rise_to      [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-min_path -show_routing -nworst 1 

report_path -file TimingReport/nreq4_lclk4_max.txt \
-from    [ get_registers { stage4|ctrl4|nreq* } ] \
-rise_to      [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/nreq4_nreq4_min.txt \
-from_clock { lclk4 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage4|ctrl4|nreq* } ] \
-to      [ get_registers { stage4|ctrl4|nreq* } ] \
-hold  -show_routing -nworst 1 

report_timing -file TimingReport/nreq4_nreq4_max.txt \
-from_clock { lclk4 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage4|ctrl4|nreq* } ] \
-to      [ get_registers { stage4|ctrl4|nreq* } ] \
-show_routing -nworst 1 

### lclk to reg ### 
report_path -file TimingReport/lclk0_x_min.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|x|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk0_x_max.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|x|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk0_y_min.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|y|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk0_y_max.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|y|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk0_u_min.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|u|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk0_u_max.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|u|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk0_dx_min.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|dx|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk0_dx_max.txt \
-rise_from    [ get_pins { stage0|ctrl0|lclk*|combout } ] \
-rise_to      [ get_registers { stage0|dx|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_add0_reg_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|add0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_add0_reg_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|add0_reg|out[*]* } ] \
-show_routing -nworst 1

report_path -file TimingReport/lclk1_mul0_reg_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_mul0_reg_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_mul2_reg_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul2_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_mul2_reg_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul2_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_y_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_y|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_y_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_y|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_mul1_reg_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul1_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_mul1_reg_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|mul1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_u_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_u|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_u_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_u|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_dx_min.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_dx|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk1_st1_dx_max.txt \
-rise_from    [ get_pins { stage1|ctrl1|lclk*|combout } ] \
-rise_to      [ get_registers { stage1|st1_dx|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_st2_add0_reg_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|st2_add0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk2_st2_add0_reg_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|st2_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_mul3_reg_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|mul3_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk2_mul3_reg_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|mul3_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_add1_reg_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|add1_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk2_add1_reg_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|add1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_mul4_reg_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|mul4_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk2_mul4_reg_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|mul4_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk2_st2_u_min.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|st2_u|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk2_st2_u_max.txt \
-rise_from    [ get_pins { stage2|ctrl2|lclk*|combout } ] \
-rise_to      [ get_registers { stage2|st2_u|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_add1_reg_min.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_add1_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_add1_reg_max.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_add1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk3_sub0_reg_min.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|sub0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk3_sub0_reg_max.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|sub0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_mul4_reg_min.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_mul4_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_mul4_reg_max.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_mul4_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_add0_reg_min.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_add0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk3_st3_add0_reg_max.txt \
-rise_from    [ get_pins { stage3|ctrl3|lclk*|combout } ] \
-rise_to      [ get_registers { stage3|st3_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk4_sub1_reg_min.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|sub1_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk4_sub1_reg_max.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|sub1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk4_st4_add0_reg_min.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|st4_add0_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk4_st4_add0_reg_max.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|st4_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_path -file TimingReport/lclk4_st4_add1_reg_min.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|st4_add1_reg|out[*]* } ] \
-min_path  -show_routing -nworst 1 

report_path -file TimingReport/lclk4_st4_add1_reg_max.txt \
-rise_from    [ get_pins { stage4|ctrl4|lclk*|combout } ] \
-rise_to      [ get_registers { stage4|st4_add1_reg|out[*]* } ] \
-show_routing -nworst 1 

