reset_design
### create_clock ### 
create_clock -name start	-period 9.0 -waveform {0 1} [get_ports {start}] 
create_clock -name lclk0	-period 9.0 -waveform {0 3} [get_pins {stage0|ctrl0|lclk*|combout }] 
create_clock -name lclk1	-period 9.0 -waveform {0 3} [get_pins {stage1|ctrl1|lclk*|combout }] 
create_clock -name lclk2	-period 9.0 -waveform {0 3} [get_pins {stage2|ctrl2|lclk*|combout }] 
create_clock -name lclk3	-period 9.0 -waveform {0 3} [get_pins {stage3|ctrl3|lclk*|combout }] 
create_clock -name lclk4	-period 9.0 -waveform {0 3} [get_pins {stage4|ctrl4|lclk*|combout }]  
### set_input_delay ### 
set_input_delay -clock start -max 0.0 [get_ports {i_x[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_x[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_y[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_y[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_u[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_u[*]}] 
set_input_delay -clock start -max 0.0 [get_ports {i_dx[*]}] 
set_input_delay -clock start -min 0.0 [get_ports {i_dx[*]}] 
### set_output_delay ### 
### data-paths ### 
#--- setup ---# 
report_timing -file TimingReport/i_x__x_sc_dc0_s_s0_p0_max.txt \
-to_clock { lclk0 } \
-from    [ get_ports { i_x[*] } ] \
-to    [ get_registers { stage0|x|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/i_y__y_sc_dc0_s_s0_p1_max.txt \
-to_clock { lclk0 } \
-from    [ get_ports { i_y[*] } ] \
-to    [ get_registers { stage0|y|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/i_u__u_sc_dc0_s_s0_p2_max.txt \
-to_clock { lclk0 } \
-from    [ get_ports { i_u[*] } ] \
-to    [ get_registers { stage0|u|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/i_dx__dx_sc_dc0_s_s0_p3_max.txt \
-to_clock { lclk0 } \
-from    [ get_ports { i_dx[*] } ] \
-to    [ get_registers { stage0|dx|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/x__add0_reg_sc0_dc1_s_s1_p0_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|x|out[*]* } ] \
-to    [ get_registers { stage1|add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/x_mul0_mul0_reg_sc0_dc1_s_s1_p1_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|x|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage1|mul0|* } ] \
-to    [ get_registers { stage1|mul0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/y_mul2_mul2_reg_sc0_dc1_s_s1_p2_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|y|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage1|mul2|* } ] \
-to    [ get_registers { stage1|mul2_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/y__st1_y_sc0_dc1_s_s1_p3_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|y|out[*]* } ] \
-to    [ get_registers { stage1|st1_y|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/u_mul1_mul1_reg_sc0_dc1_s_s1_p4_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|u|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage1|mul1|* } ] \
-to    [ get_registers { stage1|mul1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/u__st1_u_sc0_dc1_s_s1_p5_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|u|out[*]* } ] \
-to    [ get_registers { stage1|st1_u|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/dx__add0_reg_sc0_dc1_s_s1_p6_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|dx|out[*]* } ] \
-to    [ get_registers { stage1|add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/dx_mul1_mul1_reg_sc0_dc1_s_s1_p7_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|dx|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage1|mul1|* } ] \
-to    [ get_registers { stage1|mul1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/dx__st1_dx_sc0_dc1_s_s1_p8_max.txt \
-from_clock { lclk0 } \
-to_clock { lclk1 } \
-from    [ get_registers { stage0|dx|out[*]* } ] \
-to    [ get_registers { stage1|st1_dx|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/add0_reg__st2_add0_reg_sc1_dc2_s_s2_p0_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|add0_reg|out[*]* } ] \
-to    [ get_registers { stage2|st2_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul0_reg_mul3_mul3_reg_sc1_dc2_s_s2_p1_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|mul0_reg|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage2|mul3|* } ] \
-to    [ get_registers { stage2|mul3_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul1_reg__add1_reg_sc1_dc2_s_s2_p2_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|mul1_reg|out[*]* } ] \
-to    [ get_registers { stage2|add1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul1_reg_mul3_mul3_reg_sc1_dc2_s_s2_p3_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|mul1_reg|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage2|mul3|* } ] \
-to    [ get_registers { stage2|mul3_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul2_reg_mul4_mul4_reg_sc1_dc2_s_s2_p4_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|mul2_reg|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage2|mul4|* } ] \
-to    [ get_registers { stage2|mul4_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st1_y__add1_reg_sc1_dc2_s_s2_p5_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|st1_y|out[*]* } ] \
-to    [ get_registers { stage2|add1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st1_u__st2_u_sc1_dc2_s_s2_p6_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|st1_u|out[*]* } ] \
-to    [ get_registers { stage2|st2_u|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st1_dx_mul4_mul4_reg_sc1_dc2_s_s2_p7_max.txt \
-from_clock { lclk1 } \
-to_clock { lclk2 } \
-from    [ get_registers { stage1|st1_dx|out[*]* } ] \
-through    [ get_pins -compatibility_mode { stage2|mul4|* } ] \
-to    [ get_registers { stage2|mul4_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/add1_reg__st3_add1_reg_sc2_dc3_s_s3_p0_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage2|add1_reg|out[*]* } ] \
-to    [ get_registers { stage3|st3_add1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul3_reg__sub0_reg_sc2_dc3_s_s3_p1_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage2|mul3_reg|out[*]* } ] \
-to    [ get_registers { stage3|sub0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/mul4_reg__st3_mul4_reg_sc2_dc3_s_s3_p2_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage2|mul4_reg|out[*]* } ] \
-to    [ get_registers { stage3|st3_mul4_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st2_add0_reg__st3_add0_reg_sc2_dc3_s_s3_p3_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage2|st2_add0_reg|out[*]* } ] \
-to    [ get_registers { stage3|st3_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st2_u__sub0_reg_sc2_dc3_s_s3_p4_max.txt \
-from_clock { lclk2 } \
-to_clock { lclk3 } \
-from    [ get_registers { stage2|st2_u|out[*]* } ] \
-to    [ get_registers { stage3|sub0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/sub0_reg__sub1_reg_sc3_dc4_s_s4_p0_max.txt \
-from_clock { lclk3 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage3|sub0_reg|out[*]* } ] \
-to    [ get_registers { stage4|sub1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st3_mul4_reg__sub1_reg_sc3_dc4_s_s4_p1_max.txt \
-from_clock { lclk3 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage3|st3_mul4_reg|out[*]* } ] \
-to    [ get_registers { stage4|sub1_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st3_add0_reg__st4_add0_reg_sc3_dc4_s_s4_p2_max.txt \
-from_clock { lclk3 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage3|st3_add0_reg|out[*]* } ] \
-to    [ get_registers { stage4|st4_add0_reg|out[*]* } ] \
-show_routing -nworst 1 

report_timing -file TimingReport/st3_add1_reg__st4_add1_reg_sc3_dc4_s_s4_p3_max.txt \
-from_clock { lclk3 } \
-to_clock { lclk4 } \
-from    [ get_registers { stage3|st3_add1_reg|out[*]* } ] \
-to    [ get_registers { stage4|st4_add1_reg|out[*]* } ] \
-show_routing -nworst 1 

